/*****************************************************************************
 * Copyright 2012 celum Slovakia s r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package com.celum.dbtool.mojo;

import com.celum.dbtool.Db;
import org.apache.maven.plugin.MojoExecutionException;
import org.apache.maven.plugin.MojoFailureException;

/**
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 * @goal create
 */
public class CreateMojo extends AbstractDbMojo
{
	@Override
	public void execute() throws MojoExecutionException, MojoFailureException
	{
        try {
            Db.withJdbcConnection(getConnection(adminAccount))
              .withEventsListener(this)
              .withVariables(this.parameters)
              .withVersionFactory(createVersionFactoryFromSettings())
              .andDbScriptsInDir(createScripts)
              .install();
        } catch (Exception e) {
            getLog().error(e);
        }
    }
}
